import base64
import os
import shutil
import subprocess

from charmhelpers import fetch
from charmhelpers.core import hookenv


REQUIRED_PACKAGES = ['bzr', 'python-kombu']
SERVICE_DIR = '/srv/adt-cloud-worker'

config = hookenv.config()

def log_start(service_name):
    hookenv.log('adt-cloud-worker starting')

def install_packages(service_name):
    hookenv.log('Installing dependencies...')
    fetch.configure_sources(update=True)
    fetch.apt_install(REQUIRED_PACKAGES, fatal=True)

def get_cloud_worker_branch(service_name):
    branch = config['branch']
    shutil.rmtree(SERVICE_DIR, ignore_errors=True)
    subprocess.call(['bzr', 'branch', branch, SERVICE_DIR])

def get_config_file(service_name):
    config_file = config['config-file']
    with open(os.path.join(SERVICE_DIR, '.adt-service.conf'), 'w') as f:
        f.write(base64.b64decode(config_file))
