#!/usr/bin/python

from charmhelpers.core import hookenv
from charmhelpers.core.services.base import ServiceManager
from charmhelpers.core.services import helpers

import actions


def manage():
    config = hookenv.config()
    manager = ServiceManager([
        {
            'service': 'adt-cloud-worker',
            'required_data': [config],
            'data_ready': [
                actions.install_packages,
                actions.get_cloud_worker_branch,
                actions.get_config_file,
                helpers.render_template(
                    source='upstart.conf',
                    target='/etc/init/adt-cloud-worker'),
                actions.log_start,
            ],
        },
    ])
    manager.manage()
